---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab changelog generate`

Generate a changelog for the repository/project

```plaintext
glab changelog generate [flags]
```

## Examples

```plaintext
glab changelog generate

```

## Options

```plaintext
      --config-file string   The path of changelog configuration file in the project's Git repository. Defaults to .gitlab/changelog_config.yml.
      --date string          The date and time of the release. Uses ISO 8601 (2016-03-11T03:45:40Z) format. Defaults to the current time.
      --from string          The start of the range of commits (as a SHA) to use for generating the changelog. This commit itself isn't included in the list.
      --to string            The end of the range of commits (as a SHA) to use for the changelog. This commit is included in the list. Defaults to the HEAD of the default project branch.
      --trailer string       The Git trailer to use for including commits. Defaults to Changelog.
  -v, --version string       The version to generate the changelog for. The format must follow semantic versioning. Defaults to the version of the local checkout (like using git describe).
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
